summaryrefslogtreecommitdiffstats
path: root/multimedia/sopcast
diff options
context:
space:
mode:
author Nai <bluedbs@gmail.com>2010-05-13 00:59:50 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:59:50 +0200
commitbaca51e82b7df9543ca0a1d0f193cb8098b5c9a2 (patch)
tree5eed0bf2cc143a001c5e84a2e1a6224060139c7e /multimedia/sopcast
parenta9b60999625a639f194c7beb79ee303188dec5b7 (diff)
downloadslackbuilds-baca51e82b7df9543ca0a1d0f193cb8098b5c9a2.tar.gz
slackbuilds-baca51e82b7df9543ca0a1d0f193cb8098b5c9a2.tar.xz
multimedia/sopcast: Added to 13.0 repository
Diffstat (limited to 'multimedia/sopcast')
-rw-r--r--multimedia/sopcast/README18
-rw-r--r--multimedia/sopcast/README.SLACKWARE17
-rw-r--r--multimedia/sopcast/slack-desc19
-rw-r--r--multimedia/sopcast/sopcast.SlackBuild58
-rw-r--r--multimedia/sopcast/sopcast.info10
5 files changed, 122 insertions, 0 deletions
diff --git a/multimedia/sopcast/README b/multimedia/sopcast/README
new file mode 100644
index 0000000000..4380f64fc1
--- /dev/null
+++ b/multimedia/sopcast/README
@@ -0,0 +1,18 @@
+SopCast is a simple, free way to broadcast video and audio or watch the video
+and listen to radio on the Internet. Adopting P2P(Peer-to-Peer) technology,
+it is very efficient and easy to use. Let anyone become a broadcaster
+without the costs of a powerful server and vast bandwidth. You can build
+your own TV stations comparable with large commercial sites with minimal
+resources. Using SopCast, you can serve 10,000 online users with a personal
+computer and a home broadband connection.
+
+SoP is the abbreviation for Streaming over P2P. Sopcast is a Streaming
+Direct Broadcasting System based on P2P. The core is the communication
+protocol produced by Sopcast Team, which is named sop://, or SoP technology.
+
+This is the command line version of sopcast, but a gtk gui frontend called
+"gsopcast" is also available at SlackBuilds.org.
+
+This appears to be a binary-only deal, and there isn't one for x86_64.
+
+See README.SLACKWARE for initial setup and configuration hints.
diff --git a/multimedia/sopcast/README.SLACKWARE b/multimedia/sopcast/README.SLACKWARE
new file mode 100644
index 0000000000..3bfc66217e
--- /dev/null
+++ b/multimedia/sopcast/README.SLACKWARE
@@ -0,0 +1,17 @@
+sopcast README.SLACKWARE 20091016
+
+Sopcast's official readme file is included in sp-auth.tgz. The following is
+a bit similar to it but hopefully it'll get you running. To run sopcast on
+the command line:
+
+1. Type "sp-sc sop://211.152.36.37:3912/60341 8908 8909 > /dev/null &"
+
+2. Check if sop is running with "ps ux | grep sp-sc"
+
+Now you can load your live channel with xine, gxine, mplayer, or vlc like this:
+
+ xine http://localhost:8909/tv.asf
+
+If it doesn't work, most likely the channel is dead.
+
+To see a list of commands, type: "sp-sc"
diff --git a/multimedia/sopcast/slack-desc b/multimedia/sopcast/slack-desc
new file mode 100644
index 0000000000..938857ec71
--- /dev/null
+++ b/multimedia/sopcast/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+sopcast: sopcast (command line client)
+sopcast:
+sopcast: SopCast is a simple, free way to broadcast video and audio or watch
+sopcast: the video and listen to radio on the Internet. Adopting
+sopcast: P2P(Peer-to-Peer) technology, It is very efficient and easy to use.
+sopcast: Let anyone become a broadcaster without the costs of a powerful
+sopcast: server and vast bandwidth. You can build your own TV stations
+sopcast: comparable with large commercial sites with minimal resources.
+sopcast:
+sopcast: http://www.sopcast.com/
+sopcast: \ No newline at end of file
diff --git a/multimedia/sopcast/sopcast.SlackBuild b/multimedia/sopcast/sopcast.SlackBuild
new file mode 100644
index 0000000000..5b74ac1fec
--- /dev/null
+++ b/multimedia/sopcast/sopcast.SlackBuild
@@ -0,0 +1,58 @@
+#!/bin/sh
+
+# Slackware build script for sopcast
+# Written by Nai (bluedbs@gmail.com)
+
+PRGNAM=sopcast
+VERSION=${VERSION:-3.0.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/sp-auth.tgz
+cd sp-auth
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+mkdir -p $PKG/usr/bin
+cp -f sp-sc-auth $PKG/usr/bin/sp-sc
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Readme $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README.SLACKWARE > $PKG/usr/doc/$PRGNAM-$VERSION/README.SLACKWARE
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/sopcast/sopcast.info b/multimedia/sopcast/sopcast.info
new file mode 100644
index 0000000000..9cb3b848ac
--- /dev/null
+++ b/multimedia/sopcast/sopcast.info
@@ -0,0 +1,10 @@
+PRGNAM="sopcast"
+VERSION="3.0.1"
+HOMEPAGE="http://www.sopcast.com/"
+DOWNLOAD="http://download.sopcast.cn/download/sp-auth.tgz"
+MD5SUM="5d1fbdd6d39a0d4c33a8e8500d43361f"
+DOWNLOAD_x86_64="UNSUPPORTED"
+MD5SUM_x86_64=""
+MAINTAINER="Nai"
+EMAIL="bluedbs@gmail.com"
+APPROVED="rworkman"